<?php

/**
 * @author Shaun Choo
 * @copyright 2009
 * @description Use WordPress Shortcode API for more features
 * @Docs http://codex.wordpress.org/Shortcode_API
 */

/**
 * Flickr slideshow
 *
 * Embeds a Flickr slideshow in to the post using standards-compliant code.
 *
 * @since 2.8
 *
 * @param id -> the Flickr ID of the set which is to be displayed in the slideshow
 * @param height -> the height of the slideshow in pixels. Affects the size of the slideshow and containing DIV
 * @param width -> the width of the slideshow in pixels. Affects the size of the slideshow and containing DIV
 * @param bg_color -> the background color of the containing DIV as a hex code
 * @param border_color -> the border color of the containing DIV as a hex code
 * @param border_width -> the width of the border in pixels
 * @param border_style -> the style of the border using standard CSS border-style options
 * @param padding -> the padding value of the containing DIV in pixels
 * @param margin -> the margin value of the containing DIV in pixels
 * @param acct_name -> the user's Flickr account name. Used to generate the "Back to..." link when the slideshow concludes.
 *
 */


function showflickrslideshow($attr) {
	$default_attributes = array(
		'id' => '',
		'height' => 384,
		'width' => 512,
		'bg_color' => '#eeeeee',
		'border_color' => '#cccccc',
		'border_width' => 1,
		'border_style' => 'solid',
		'padding' => 10,
		'margin' => '0 auto',
		'acct_name' => ''
	);
	$atts = shortcode_atts( $default_attributes, $attr );

    return '<div class="flickr_slideshow" style="height:'.$atts['height'].'px;width:'.$atts['width'].'px;margin:'.$atts['margin'].';padding:'.$atts['padding'].'px;border:'.$atts['border_width'].'px '.$atts['border_style'].' '.$atts['border_color'].';background:'.$atts['bg_color'].';">
	<object type="application/x-shockwave-flash" data="http://www.flickr.com/apps/slideshow/show.swf?v=69832" width="'.$atts['width'].'" height="'.$atts['height'].'">
	<param name="movie" value="http://www.flickr.com/apps/slideshow/show.swf?v=69832" />
	<param name="FlashVars" value="&amp;offsite=true&amp;lang=en-us&amp;page_show_url=%2Fphotos%2F'.$atts['acct_name'].'%2Fsets%2F'.$atts['id'].'%2Fshow%2F&amp;page_show_back_url=%2Fphotos%2F'.$atts['acct_name'].'%2Fsets%2F'.$atts['id'].'%2F&amp;set_id='.$atts['id'].'&amp;jump_to=" />
	<param name="width" value="'.$atts['width'].'" />
	<param name="height" value="'.$atts['height'].'" />
	</object>
	</div>';
}

add_shortcode('flickrslideshow', 'showflickrslideshow');

?>